# Test-time Adaptation for Regression by Subspace Alignment (ICLR 2025)
This is the code for ICLR 2025 paper "Test-time Adaptation for Regression by Subspace Alignment."

This code can be used for evaluation purposes only.


## 0. Environment
- Prepare the datasets (SVHN, MNIST, UTKFace, Biwi Kinect, California Housing) and write their path in `dataset/dataset_config.py`.
- Install dependencies or build the docker image according to `docker/Dockerfile`.

```bash
$ docker build -t tta_regression docker --no-cache
```


## 1. Training the source model
```bash
$ python3 train_source.py -c configs/train_source/svhn.json -o result/source/svhn

# running with the docker image
$ docker run -it --rm -v $(pwd):$(pwd) -w $(pwd) --gpus device=0 tta_regression python3 train_source.py -c configs/train_source/svhn.json -o result/source/svhn
```


## 2. Computing the feature statistics
```bash
$ python3 feature_stats.py -c configs/feature_stats/svhn.json -o result/source/svhn
```

Pre-trained models and feature statistics are available in `result/`.


## 3. TTA
```bash
$ python3 adaptation.py -c configs/tta/svhn.json -o result/tta/svhn
```
